source:
trunk/softs/tests_cc_vcache/test_dma_unaligned/run
| Last change on this file was 520, checked in by , 13 years ago | |
|---|---|
|
|
| File size: 583 bytes | |
| Line | |
|---|---|
| 1 | #!/bin/sh |
| 2 | |
| 3 | . ../common/common.sh |
| 4 | |
| 5 | check_output() |
| 6 | { |
| 7 | egrep "^after DMA this is the test string unaligned and more than 64 chars long abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ 123456789 abcdefghijklmnopqrstuvwxyz$" run.out > /dev/null |
| 8 | if [ $? -eq 0 ]; then |
| 9 | return 0; |
| 10 | fi |
| 11 | echo "couldn't find string in output - mtty not working ?" >> run.out |
| 12 | return 1 |
| 13 | } |
| 14 | |
| 15 | make --quiet || exit 1 |
| 16 | ${SIMUL} > run.out 2>&1 |
| 17 | if [ $? -eq 0 ]; then |
| 18 | if check_output; then |
| 19 | echo "test passsed"; |
| 20 | make --quiet clean |
| 21 | exit 0; |
| 22 | fi |
| 23 | echo "test FAILED" |
| 24 | exit 1 |
| 25 | fi |
| 26 | echo "test FAILED" |
| 27 | exit 1 |
| 28 |
Note:
See TracBrowser
for help on using the repository browser.
